.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtApp-Add-Action-Hook XtRemove-Action-Hook wid-get
.na
.TH XtAppAddActionHook __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtAppAddActionHook, XtRemoveActionHook \- register an action hook procedure
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
XtActionHookId XtAppAddActionHook(XtAppContext \fIapp_context\fP,
XtActionHookProc \fIproc\fP, XtPointer \fIclient_data\fP);
.HP
void XtRemoveActionHook(XtActionHookId \fIid\fP);
.SH ARGUMENTS
.IP \fIapp_context\fP 1i
Specifies the application context.
.IP \fIproc\fP 1i
Specifies the action hook procedure.
.IP \fInum_args\fP 1i
Specifies the application-specific data to be passed to the action hook.
.SH DESCRIPTION
.B XtAppAddActionHook
adds the specified procedure to the front of a list maintained in the
application context.
In the future, when an action routine is about to
be invoked for any widget in this application context, either through
the translation manager or via
.BR XtCallActionProc ,
the action hohok procedures will be called in reverse order of registration
jut prior to invoking the action routine.
.LP
Action hook procedures are removed automatically and the
.B XtActionHookId
s destroyed when the application context in which they were added is
destroyed.
.LP
.B XtRemoveActionHook
removes the specified action hook procedure from the list in which it
was registered.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
