.\" Copyright 1993 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtApp-Add-Time-Out XtRemove-Time-Out wid-get
.na
.TH XtAppAddTimeOut __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtAppAddTimeOut, XtRemoveTimeOut \- register and remove timeouts
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
XtIntervalId XtAppAddTimeOut(XtAppContext \fIapp_context\fP, unsigned long
\fIinterval\fP, XtTimerCallbackProc \fIproc\fP, XtPointer \fIclient_data\fP);
.HP
void XtRemoveTimeOut(XtIntervalId \fItimer\fP);
.SH ARGUMENTS
.IP \fIapp_context\fP 1i
Specifies the application context for which the timer is to be set.
.IP \fIclient_data\fP 1i
Specifies the argument that is to be passed to the specified procedure
when handling the callback.
.IP \fIinterval\fP 1i
Specifies the time interval in milliseconds.
.IP \fIproc\fP 1i
Specifies the procedure that is to be called when time expires.
.IP \fItimer\fP 1i
Specifies the ID for the timeout request to be destroyed.
.SH DESCRIPTION
The
.B XtAppAddTimeOut
function creates a timeout and returns an identifier for it.
The timeout value is set to interval.
The callback procedure is called when the time interval elapses,
and then the timeout is removed.
.LP
The
.B XtRemoveTimeOut
function removes the timeout.
Note that timeouts are automatically removed once they trigger.
.SH "SEE ALSO"
XtAppAddInput(__libmansuffix__),XtAppAddSignal(__libmansuffix__)
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
