.\" Copyright 1993 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtApp-AddWork-Proc, XtRemove-Work-Proc wid-get
.na
.TH XtAppAddWorkProc __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtAppAddWorkProc, XtRemoveWorkProc \- Add and remove background processing procedures
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
XtWorkProcId XtAppAddWorkProc(XtAppContext \fIapp_context\fP, XtWorkProc
\fIproc\fP, XtPointer \fIclient_data\fP);
.HP
void XtRemoveWorkProc(XtWorkProcId \fIid\fP);
.SH ARGUMENTS
.IP \fIapp_context\fP 1i
Specifies the application context that identifies the application.
.IP \fIclient_data\fP 1i
Specifies the argument that is to be passed to the specified procedure
when it is called.
.IP \fIproc\fP 1i
Specifies the procedure that is to be called.
.IP \fIid\fP 1i
Specifies which work procedure to remove.
.SH DESCRIPTION
The
.B XtAppAddWorkProc
function adds the specified work procedure for the application identified
by app_context.
.LP
The
.B XtRemoveWorkProc
function explicitly removes the specified background work procedure.
.SH "SEE ALSO"
XtAppNextEvent(__libmansuffix__)
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
