.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtApp-Initialize XtVa-App-Initialize
.na
.TH XtAppInitialize __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtAppInitialize, XtVaAppInitialize \- initialize, open, or close a display
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
Widget XtAppInitialize(XtAppContext* \fIapp_context_return\fP,
const char *\fIapplication_class\fP, XrmOptionDescRec* \fIoptions\fP,
Cardinal \fInum_options\fP, int *\fIargc_in_out\fP, char **\fIargv_in_out\fP,
String *\fIfallback_resources\fP, ArgList \fIargs\fP, Cardinal \fInum_args\fP);
.HP
Widget XtVaAppInitialize(XtAppContext* \fIapp_context_return\fP,
const char *\fIapplication_class\fP, XrmOptionDescRec* \fIoptions\fP,
Cardinal \fInum_options\fP, int *\fIargc_in_out\fP, char **\fIargv_in_out\fP,
String *\fIfallback_resources\fP, ...\^);
.SH ARGUMENTS
.IP \fIapp_context_return\fP 1i
Specifies the application context.
.IP \fIapplication_class\fP 1i
Specifies the class name of this application, which usually is the generic name for all instances of this application.
.IP \fIoptions\fP 1i
Specifies how to parse the command line for any application-specific resources.
The options argument is passed as a parameter to
.BR XrmParseCommand .
For further information,
see \fI\*(xL\fP.
.IP \fInum_options\fP 1i
Specifies the number of entries in the options list.
.IP \fIargc_in_out\fP 1i
Specifies a pointer to the number of command line parameters.
.IP \fIargv_in_out\fP 1i
Specifies the command line parameters.
.IP \fIfallback_resources\fP 1i
Specifies resource values to be used if the application class resource
file cannot be opened or read, or NULL.
.IP \fIargs\fP 1i
Specifies the argument list to override any other resource specification
for the created shell widget.
.IP \fInum_args\fP 1i
Specifies the number of entries in the argument list.
.IP \fI...\fP 1i
Specifies the variable argument list to override any other resource
specification for the created shell widget.
.SH DESCRIPTION
The
.B XtAppInitialize
function calls
.B XtToolkitInitialize
followed by
.BR XtCreateApplicationContext ,
then calls
.B XtOpenDisplay
with \fIdisplay_string\fP NULL and \fIapplication_name\fP NULL, and
finally calls
.B XtAppCreateShell
with \fIapplication_name\fP NULL, \fIwidget_class\fP
.BR applicationShellWidgetClass ,
and the specified \fIargs\fP and \fInum_args\fP and returns the
created shell.
The modified \fIargc\fP and \fIargv\fP returned by
.B XtDisplayInitialize
are returned in \fIargc_in_out\fP and \fIargv_in_out\fP. If
\fIapp_context_return\fP is not NULL, the created application context
is also returned.
If the display specified by the command line cannot
be opened, an error message is issued and
.B XtAppInitialize
terminates the application.
If \fIfallback_resources\fP is non-NULL,
.B XtAppSetFallbackResources
is called with the value prior to calling
.BR XtOpenDisplay .
.LP
XtAppInitialize and XtVaAppInitialize have been superceded by
.B XtOpenApplication
and
.B XtVaOpenApplication
respectively.
.SH "SEE ALSO"
XtOpenApplication(__libmansuffix__), XtVaOpenApplication(__libmansuffix__)
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
