.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtApp-Set-Type-Converter XtSet-Type-Converter wid-get
.na
.TH XtAppSetTypeConverter __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtAppSetTypeConverter, XtSetTypeConverter \- register resource converter
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
void XtAppSetTypeConverter(XtAppContext \fIapp_context\fP,
const char *\fIfrom_type\fP, const char * \fIto_type\fP,
XtTypeConverter \fIconverter\fP, XtConvertArgList \fIconvert_args\fP,
Cardinal \fInum_args\fP, XtCacheType \fIcache_type\fP,
XtDestructor \fIdestructor\fP);
.HP
void XtSetTypeConverter(const char *\fIfrom_type\fP, const char *\fIto_type\fP,
XtTypeConverter \fIconverter\fP, XtConvertArgList \fIconvert_args\fP,
Cardinal \fInum_args\fP, XtCacheType \fIcache_type\fP,
XtDestructor \fIdestructor\fP);
.SH ARGUMENTS
.IP \fIapp_context\fP 1i
Specifies the application context.
.IP \fIconverter\fP 1i
Specifies the type converter procedure.
.IP \fIconvert_args\fP 1i
Specifies how to compute the additional arguments to the converter or NULL.
.IP \fIfrom_type\fP 1i
Specifies the source type.
.IP \fInum_args\fP 1i
Specifies the number of additional arguments to the converter or zero.
.IP \fIto_type\fP 1i
Specifies the destination type.
.IP \fIcache_type\fP 1i
Specifies whether or not resources produced by this converter are
sharable or display-specific and when they should be freed.
.IP \fIdestructor\fP 1i
Specifies a destroy procedure for resources produced by this conversion,
or NULL if no additional action is required to deallocate resources
produced by the converter.
.SH DESCRIPTION
.B XtSetTypeConverter
registers the specified type converter and destructor in all application
contexts created by the calling process, including any future application
contexts that may be created.
.B XtAppSetTypeConverter
registers the specified type converter in the single application context
specified.
If the same \fIfrom_type\fP and \fIto_type\fP are specified
in multiple calls to either function, the most recent overrides the
previous ones.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
