.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtGet-Action-List wid-get
.na
.TH XtGetActionList __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtGetActionList \- obtain class action list
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
void XtGetActionList(WidgetClass \fIwidget_class\fP, XtActionList*
\fIactions_return\fP, Cardinal* \fInum_actions_return\fP);
.SH ARGUMENTS
.IP \fIwidget_class\fP 1i
Specifies the widget class whose actions are to be returned.
.IP \fIactions_return\fP 1i
Returns the action list.
.IP \fInum_actions_return\fP 1i
Returns the number of action procedures declared by the class.
.SH DESCRIPTION
.B XtGetActionList
returns the action table defined by the specified widget class.
This
table does not include actions defined by the superclasses.
If
\fIwidget_class\fP is not initialized, or is not
.B coreWidgetClass
or a subclass thereof, or if the class does not define any actions,
*\fIactions_return\fP will be NULL and *\fInum_actions_return\fP will
be zero.
If *\fIactions_return\fP is non-NULL the client is responsible
for freeing the table using
.B XtFree
when it is no longer needed.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
