.\" Copyright 1993 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtMap-Widget XtSet-Mapped-When-Managed XtUnmap-Widget wid-get
.na
.TH XtMapWidget __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtMapWidget, XtSetMappedWhenManaged, XtUnmapWidget \- map and unmap widgets
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
void XtMapWidget(Widget \fIw\fP\^);
.HP
void XtSetMappedWhenManaged(Widget \fIw\fP, Boolean \fImap_when_managed\fP);
.HP
void XtUnmapWidget(Widget \fIw\fP\^);
.SH ARGUMENTS
.IP \fImap_when_managed\fP 1i
Specifies a Boolean value that indicates the new value of the map_when_managed
field.
.IP \fIw\fP 1i
Specifies the widget.
.SH DESCRIPTION
If the widget is realized and managed
and if the new value of map_when_managed is
.BR True ,
.B XtSetMappedWhenManaged
maps the window.
If the widget is realized and managed
and if the new value of map_when_managed is
.BR False ,
it unmaps the window.
.B XtSetMappedWhenManaged
is a convenience function that is equivalent to (but slightly faster than)
calling
.B XtSetValues
and setting the new value for the mappedWhenManaged resource.
As an alternative to using
.B XtSetMappedWhenManaged
to control mapping,
a client may set mapped_when_managed to
.B False
and use
.B XtMapWidget
and
.B XtUnmapWidget
explicitly.
.SH "SEE ALSO"
XtManageChildren(__libmansuffix__)
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
