.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtRegister-Grab-Action wid-get
.na
.TH XtRegisterGrabAction __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtRegisterGrabAction \- register button and key grabs
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
void XtRegisterGrabAction(XtActionProc \fIaction_proc\fP, Boolean
\fIowner_events\fP, unsigned int \fIevent_mask\fP, int \fIpointer_mode\fP, int
\fIkeyboard_mode\fP);
.SH ARGUMENTS
.IP \fIaction_proc\fP 1i
Specifies the action procedure to search for in translation tables.
.IP \fIaction\fP 1i
.IP \fIevent\fP 1i
.IP \fIparams\fP 1i
.IP \fInum_params\fP 1i
Specify arguments to
.B XtGrabButton
or
.B XtGrabKey
.SH DESCRIPTION
.B XtRegisterGrabAction
adds the specified \fIaction_proc\fP to a list known to the translation
manager.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
