.\" Copyright (c) 1993, 1994  X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included in
.\" all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
.\" WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
.\" OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
.\" SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall not
.\" be used in advertising or otherwise to promote the sale, use or other
.\" dealing in this Software without prior written authorization from the
.\" X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtSet-WMColormap-Windows wid-get
.na
.TH XtSetWMColormapWindows __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtSetWMColormapWindows \- Set the value of the WM_COLORMAP_WINDOWS property
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
void XtSetWMColormapWindows(Widget \fIwidget\fP, Widget* \fIlist\fP, Cardinal
\fIcount\fP);
.SH ARGUMENTS
.IP \fIwidget\fP 1i
Specifies the widget on whose window the WM_COLORMAP_WINDOWS property
will be stored.
Must be of class Core or any subclass thereof.
.IP \fIlist\fP 1i
Specifies a list of widgets whose windows are are potentially to be
listed in the WM_COLORMAP_WINDOWS property.
.IP \fIcount\fP 1i
Specifies the number of widgets in \fIlist\fP.
.SH DESCRIPTION
.B XtSetWMColormapWindows
returns immediately if \fIwidget\fP is not realized or if \fIcount\fP
is zero.
Otherwise,
.B XtSetWMColormapWindows
constructs an ordered list of windows by examining each widget in
\fIlist\fP in turn and ignoring the widget if it is not realized,
or adding the widget's window to the window list if the widget is
realized and its colormap resource is different from the colormap
resources of all widgets whose windows are already on the window
list.
.LP
Finally,
.B XtSetWMColormapWindows
stores the resulting window list in the WM_COLORMAP_WINDOWS property
on the specified widget's window.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
