.\" Copyright 1993 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.ds tk X Toolkit
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xI Intrinsics
.ds xW X Toolkit Athena Widgets \- C Language Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.ds Rn 3
.ds Vn 2.2
.hw XtTranslate-Coords wid-get
.na
.TH XtTranslateCoords __libmansuffix__ __xorgversion__ "XT FUNCTIONS"
.SH NAME
XtTranslateCoords \- translate widget coordinates
.SH SYNTAX
#include <X11/Intrinsic.h>
.HP
void XtTranslateCoords(Widget \fIw\fP,
Position \fIx\fP,
Position \fIy\fP,
Position *\fIrootx_return\fP,
Position *\fIrooty_return\fP);
.SH ARGUMENTS
.IP \fIrootx_return\fP 1i
.br
.ns
.IP \fIrooty_return\fP 1i
Returns the root-relative x and y coordinates.
.IP \fIx\fP 1i
.br
.ns
.IP \fIy\fP 1i
Specify the widget-relative x and y coordinates.
.IP \fIw\fP 1i
Specifies the widget.
.SH DESCRIPTION
While
.B XtTranslateCoords
is similar to the Xlib
.B XTranslateCoordinates
function, it does not generate a server request because all the required
information already is in the widget's data structures.
.SH "SEE ALSO"
.br
\fI\*(xT\fP
.br
\fI\*(xL\fP
